Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.animation.D2
Interface Renderable2DInterface

All Known Subinterfaces:
  EditableRenderable2DInterface

All Known Implementing Classes:
  EditableRenderable2D, GisRenderable2D, Renderable2D

public interface Renderable2DInterface

The Renderable2D interface defines the basic interface for 2d animation. This is a hard-to-use interface. It is implemented by the easy-to-use Renderable2D class
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 06.09.2003
Author:
  Peter Jacobs

Nested Class Summary
`static class` | `Renderable2DInterface.Util` A Util (c) copyright 2003 Delft University of Technology , the Netherlands.

Method Summary
`boolean` | `contains(java.awt.geom.Point2D pointWorldCoordinates, java.awt.geom.Rectangle2D extent, java.awt.Dimension screen)` does the shape contain the point
`void` | `destroy()` destroys this editable.
`LocatableInterface` | `getSource()` gets the source of this renderable
`void` | `paint(java.awt.Graphics2D graphics, java.awt.geom.Rectangle2D extent, java.awt.Dimension screen, java.awt.image.ImageObserver observer)` paints the object on a 2D graphics object

Method Detail

### paint

    public void paint(java.awt.Graphics2D graphics,
                      java.awt.geom.Rectangle2D extent,
                      java.awt.Dimension screen,
                      java.awt.image.ImageObserver observer)

  paints the object on a 2D graphics object

  Parameters:
    `graphics` - the graphics object
    `extent` - the extent of the panel
    `screen` - the screen of the panel
    `observer` - the observer of the renderableInterface

### getSource

    public LocatableInterface getSource()

  gets the source of this renderable

  Returns:
    Locatable the source

### contains

    public boolean contains(java.awt.geom.Point2D pointWorldCoordinates,
                            java.awt.geom.Rectangle2D extent,
                            java.awt.Dimension screen)

  does the shape contain the point

  Parameters:
    `pointWorldCoordinates` - the point in world coordinates. Default implementation is to intersect the 3D bounds on location.z and to return the bounds2D of this intersect.
    `extent` - the extent of the panel.
    `screen` - the screen of the panel.
  Returns:
    whether the point is in the shape

### destroy

    public void destroy()
                 throws java.rmi.RemoteException

  destroys this editable. How to do this must be implemented by the modeler

  Throws:
    `java.rmi.RemoteException` - RemoteException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.